settings
Usage
// Initialize the client
var client = new RecommendClient(
new RecommendConfig("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
);
// Call the API
var response = await client.GetRecommendRuleAsync(
"<YOUR_INDEX_NAME>",
Enum.Parse<RecommendModels>("RelatedProducts"),
"objectID"
);
// print the response
Console.WriteLine(response);
// Initialize the client
final client = RecommendClient(
appId: 'ALGOLIA_APPLICATION_ID', apiKey: 'ALGOLIA_API_KEY');
// Call the API
final response = await client.getRecommendRule(
indexName: "<YOUR_INDEX_NAME>",
model: RecommendModels.fromJson("related-products"),
objectID: "objectID",
);
// print the response
print(response);
// Initialize the client
client, err := recommend.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.GetRecommendRule(client.NewApiGetRecommendRuleRequest(
"<YOUR_INDEX_NAME>", recommend.RecommendModels("related-products"), "objectID"))
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)
// Initialize the client
RecommendClient client = new RecommendClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY");
// Call the API
RecommendRule response = client.getRecommendRule("<YOUR_INDEX_NAME>", RecommendModels.RELATED_PRODUCTS, "objectID");
// print the response
System.out.println(response);
// Initialize the client
const client = algoliasearch('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY').initRecommend();
// Call the API
const response = await client.getRecommendRule({
indexName: 'indexName',
model: 'related-products',
objectID: 'objectID',
});
// print the response
console.log(response);
// Initialize the client
val client = RecommendClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")
// Call the API
var response =
client.getRecommendRule(
indexName = "<YOUR_INDEX_NAME>",
model = RecommendModels.entries.first { it.value == "related-products" },
objectID = "objectID",
)
// print the response
println(response)
// Initialize the client
$client = RecommendClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');
// Call the API
$response = $client->getRecommendRule(
'<YOUR_INDEX_NAME>',
'related-products',
'objectID',
);
// print the response
var_dump($response);
# Initialize the client
# In an asynchronous context, you can use RecommendClient instead, which exposes the exact same methods.
client = RecommendClientSync("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
# Call the API
response = client.get_recommend_rule(
index_name="<YOUR_INDEX_NAME>",
model="related-products",
object_id="objectID",
)
# print the response
print(response)
# Initialize the client
client = Algolia::RecommendClient.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
# Call the API
response = client.get_recommend_rule("<YOUR_INDEX_NAME>", "related-products", "objectID")
# print the response
puts(response)
// Initialize the client
val client = RecommendClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")
// Call the API
val response = Await.result(
client.getRecommendRule(
indexName = "<YOUR_INDEX_NAME>",
model = RecommendModels.withName("related-products"),
objectID = "objectID"
),
Duration(100, "sec")
)
// print the response
println(response)
// Initialize the client
let client = try RecommendClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY")
// Call the API
let response = try await client.getRecommendRule(
indexName: "<YOUR_INDEX_NAME>",
model: RecommendModels.relatedProducts,
objectID: "objectID"
)
// print the response
print(response)
See the full API reference
For more details about input parameters
and response fields.